<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/dist/output.css" />
    <title>Calculator</title>
  </head>
  <style>
    button {
      border-radius: 50%;
      background-color: transparent;
      -moz-border-radius: 50%;
      -webkit-border-radius: 50%;
    }
    button:hover {
      background-color: orange;
      color: white;
    }

    .operator {
      background-color: #ffb200;
      color: white;
    }

    .operator:focus {
      background-color: white;
      color: #ffb200;
    }

    .clear {
      background-color: #d8d8d8;
      font-size: 30px;
      font-weight: 300;
    }

    .clear:hover {
      background-color: brown;
    }

    .equal {
      grid-area: 2/4/6/5;
      height: 100%;
      background-color: #ffb200;
    }
  </style>
  <body>
    <div
      class="calculator border w-[400px] rounded-xl absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 bg-black"
    >
      <input
        type="text"
        class="calc-input w-full text-[40px] border-none bg-black text-white text-right p-3"
        disabled
      />

      <div class="calc-keys grid grid-cols-4 text-[30px] gap-3 p-3">
        <button type="button" class="operator" value="+">+</button>
        <button type="button" class="operator" value="-">-</button>
        <button type="button" class="operator" value="*">&times</button>
        <button type="button" class="operator" value="/">&divide</button>

        <button type="button" class="bg-gray-500 text-white" value="7">
          7
        </button>
        <button type="button" class="bg-gray-500 text-white" value="8">
          8
        </button>
        <button type="button" class="bg-gray-500 text-white" value="9">
          9
        </button>

        <button type="button" class="bg-gray-500 text-white" value="4">
          4
        </button>
        <button type="button" class="bg-gray-500 text-white" value="5">
          5
        </button>
        <button type="button" class="bg-gray-500 text-white" value="6">
          6
        </button>

        <button type="button" class="bg-gray-500 text-white" value="1">
          1
        </button>
        <button type="button" class="bg-gray-500 text-white" value="2">
          2
        </button>
        <button type="button" class="bg-gray-500 text-white" value="3">
          3
        </button>

        <button type="button" class="bg-gray-500 text-white" value="0">
          0
        </button>
        <button type="button" class="decimal bg-gray-500 text-white" value=".">
          .
        </button>
        <button type="button" class="clear" value="clear">AC</button>

        <button type="button" value="=" class="equal operator">=</button>
      </div>
    </div>

    <script src="/script.js"></script>
  </body>
</html>
